import _objectSpread from "@babel/runtime/helpers/objectSpread";

/**
 * @license
 * Copyright © 2017-2018 Moov Corporation.  All rights reserved.
 */
import transformParams from './transformParams';
import proxyUpstream from './proxyUpstream';
export default function fromOrigin() {
  var alternative_backend = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'origin';
  var type = 'fromOrigin';
  var _config = {
    proxy: {
      alternative_backend: alternative_backend
    }
  };

  var result = _objectSpread({}, proxyUpstream(), {
    type: type,
    config: function config() {
      return _config;
    }
  });

  result.transformPath = function (path) {
    return _objectSpread({}, result, {
      config: function config(routePath) {
        _config.proxy.rewrite_path_regex = transformParams(routePath, path);
        return _config;
      }
    });
  };

  return result;
}
//# sourceMappingURL=fromOrigin.js.map